| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
tif_aux.c File Reference
`#include "tiffiop.h"`
`#include "tif_predict.h"`
`#include <math.h>`

Go to the source code of this file.

## Functions
tdata_t | _TIFFCheckRealloc (TIFF *tif, tdata_t buffer, size_t nmemb, size_t elem_size, const char *what)
tdata_t | _TIFFCheckMalloc (TIFF *tif, size_t nmemb, size_t elem_size, const char *what)
int | TIFFVGetFieldDefaulted (TIFF *tif, ttag_t tag, va_list ap)
int | TIFFGetFieldDefaulted (TIFF *tif, ttag_t tag,...)

## Function Documentation

tdata_t _TIFFCheckMalloc | ( | TIFF * | tif,
|  | size_t | nmemb,
|  | size_t | elem_size,
|  | const char * | what
| ) |  |

Definition at line 59 of file tif_aux.c.

tdata_t _TIFFCheckRealloc | ( | TIFF * | tif,
|  | tdata_t | buffer,
|  | size_t | nmemb,
|  | size_t | elem_size,
|  | const char * | what
| ) |  |

Definition at line 37 of file tif_aux.c.

int TIFFGetFieldDefaulted | ( | TIFF * | tif,
|  | ttag_t | tag,
|  |  | ...
| ) |  |

Definition at line 272 of file tif_aux.c.

int TIFFVGetFieldDefaulted | ( | TIFF * | tif,
|  | ttag_t | tag,
|  | va_list | ap
| ) |  |

Definition at line 143 of file tif_aux.c.